#+
#   VIDE -- Void IDentification and Examination -- ./python_tools/setup.py
#   Copyright (C) 2010-2014 Guilhem Lavaux
#   Copyright (C) 2011-2014 P. M. Sutter
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 of the License.
# 
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#+
from setuptools import setup, Extension
from setuptools.command.build_ext import build_ext
import numpy as np
import os

# Optional: Use VOID_GSL environment variable if needed later in the build process
VOID_GSL = os.environ.get('VOID_GSL')

# Define extensions (you can add Cython extensions here if needed)
extensions = [
    # Example of a Cython extension (uncomment and modify if needed)
    # Extension('your_extension_name', sources=['your_source_file.pyx'], include_dirs=[np.get_include()])
]

setup(
    name='vide',
    version='1.0',
    include_dirs=[np.get_include()],  # Add NumPy include dirs
    packages=[
        'vide', 
        'vide.backend', 
        'vide.apTools', 
        'vide.voidUtil',
        'vide.apTools.profiles', 
        'vide.apTools.chi2',
    ],
    ext_modules=extensions,  # Add extensions if needed
    cmdclass={'build_ext': build_ext},  # Use setuptools build_ext for Cython
    install_requires=[
        'numpy',  # Ensure NumPy is installed
        'cython',  # Ensure Cython is installed for building extensions
    ],
)
